[B021] Drug Regulatory Review

get
https://connect.patsnap.com/synapse/drug/special-approval
Try in Sandbox

Obtain drug special approval about organization, disease, country, special review etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
drug_id
Required
string68431d4745744d9e9e17a3073edd3920
Drug ID, obtain this through the drug search interface or drug autocomplete interface

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form:DrugSpecialApprovalDto
Results
id
stringc2df2c0cf4f64d5c86d61caa8edb7905
ID
country
object{ "country_id": "5a365096-b2a6-31cb-acdf-1de1f5ab3abe", "alpha2_code": "CN", "display_name": [ { "lang": "EN", "name": "China" }, { "lang": "CN", "name": "中国" } ] }
Country/Location
country_id
string676de5ba-893a-36bb-8683-c93306aaf769
Country/Location ID
alpha2_code
stringUS
Alpha Code
display_name
array[ { "lang": "EN", "name": "United States" }, { "lang": "CN", "name": "美国" } ]
Country/Location Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
disease
object{ "disease_id": "36071ab94003462ea2a7121bde6f2209", "display_name": [ { "lang": "EN", "name": "Uveitis" }, { "lang": "CN", "name": "葡萄膜炎" } ] }
Disease
disease_id
string06a9082fe1ec4c97bea31d888b9cfdce
Disease ID
display_name
array[ { "lang": "EN", "name": "Uveitic Macular Edema" }, { "lang": "CN", "name": "葡萄膜炎黄斑水肿" } ]
Disease Name, Referencing "CommonName"
organization
object{ "display_name": [ { "lang": "EN", "name": "AbbVie Deutschland GmbH & Co. KG" }, { "lang": "CN", "name": "艾伯维德国有限责任两合公司" } ], "organization_id": "751ff1f0326406ac8e2cdb6b0a9f5c9c" }
Organization
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Organization Name, Referencing "CommonName"
organization_id
string87bfaf037f8e60c9e25595cd98bb27e4
Organization ID
approval_time
integer<int64>1559088000000
Date
special_review
object{ "display_name": [ { "lang": "EN", "name": "Overseas New Drugs Urgently Needed in Clinical Settings" }, { "lang": "CN", "name": "临床急需境外新药" } ], "normalized_id": "cf246d061d3f4483a6479f9df8faadda" }
Special Review
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
Dict Name
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
Dict ID
total
integer<int64>-
total
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "id": "c2df2c0cf4f64d5c86d61caa8edb7905",
        "country": {
          "country_id": "676de5ba-893a-36bb-8683-c93306aaf769",
          "alpha2_code": "US",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "disease": {
          "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "organization": {
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
        },
        "approval_time": 1559088000000,
        "special_review": {
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
        }
      }
    ],
    "total": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms